#
# spec file for package tmux
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Guido Berhoerster.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tmux
Version:        1.8
Release:        2.1
Summary:        Terminal multiplexer
License:        ISC and BSD-3-Clause and BSD-2-Clause
Group:          System/Console
Url:            http://tmux.sourceforge.net/
BuildRequires:  libevent-devel
BuildRequires:  ncurses-devel
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
tmux is a terminal multiplexer: it enables a number of terminals (or windows),
each running a separate program, to be created, accessed, and controlled from a
single screen. tmux may be detached from a screen and continue running in the
background, then later reattached. tmux is intended to be a modern,
BSD-licensed alternative to programs such as GNU screen.

tmux uses a client-server model. The server holds multiple sessions and each
window is a independent entity which may be freely linked to multiple sessions,
moved between sessions and otherwise manipulated. Each session may be attached
to (display and accept keyboard input from) multiple clients.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure
make %{?_smp_mflags}

%install
%{__make} install DESTDIR=%{?buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES FAQ TODO examples/
%doc %{_mandir}/man1/tmux.1.*
%{_bindir}/tmux

%changelog
* Sat Mar 30 2013 cs@linux-administrator.com
- Update to release 1.8
  Incompatible Changes
  ====================
  * layout redo/undo has been removed.
  Normal Changes
  ==============
  * Add halfpage up/down bindings to copy mode.
  * Session choosing fixed to work with unattached sessions.
  * New window options window-status-last-{attr,bg,fg} to denote the last
  window which was active.
  * Scrolling in copy-mode now scrolls the region without moving the mouse
  cursor.
  * run-shell learnt '-t' to specify the pane to use when displaying output.
  * Support for middle-click pasting.
  * choose-tree learns '-u' to start uncollapsed.
  * select-window learnt '-T' to toggle to the last window if it's already
  current.
  * New session option 'assume-paste-time' for pasting text versus key-binding
  actions.
  * choose-* commands now work outside of an attached client.
  * Aliases are now shown for list-commands command.
  * Status learns about formats.
  * Free-form options can be set with set-option if prepended with an '@'
  sign.
  * capture-pane learnt '-p' to send to stdout, and '-e' for capturing escape
  sequences, and '-a' to capture the alternate screen, and '-P' to dump
  pending output.
  * Many new formats added (client_session, client_last_session, etc.)
  * Control mode, which is a way for a client to send tmux commands.
  Currently more useful to users of iterm2.
  * resize-pane learnt '-x' and '-y' for absolute pane sizing.
  * Config file loading now reports errors from all files which are loaded via
  the 'source-file' command.
  * 'copy-pipe' mode command to copy selection and pipe the selection to a
  command.
  * Panes can now emit focus notifications for certain applications
  which use those.
  * run-shell and if-shell now accept formats.
  * resize-pane learnt '-Z' for zooming a pane temporarily.
  * new-session learnt '-A' to make it behave like attach-session.
  * set-option learnt '-o' to prevent setting an option which is already set.
  * capture-pane and show-options learns '-q' to silence errors.
  * New command 'wait-for' which blocks a client until woken up again.
  * Resizing panes will now reflow the text inside them.
  * Lots and lots of bug fixes, fixing memory-leaks, etc.
  * Various manpage improvements.
